*, *::after, *::before {
    box-sizing: border-box;
}
.container-modal {
    display: grid;
    height: 80vh;
}
.modal {
    width: min(60%, 900px);
    margin: auto;
    border: 1px solid #252525;
    border-radius: 10px;
    background-color: #fff;
    z-index: 1;
    transform: scale(0);
    transition: 200ms ease-in-out;
}
.modal.active {
    transform: scale(1);
}
.modal-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 15px;
    border-bottom: 1px solid #252525;
}
.modal-header> .title {
    font-size: 1.25rem;
    font-weight: bold;
}
.modal-header> .close-button {
    cursor: pointer;
    border: none;
    background: none;
    font-size: 2.45rem;
    font-weight: bold;
    outline: none;
}
.modal-body {
    padding: 10px 15px;
}
#overlay {
    position: fixed;
    opacity: 0;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgba(0,0,0,0.5);
    pointer-events: none;
    transition: 200ms ease-in-out;
}
#overlay.active {
    opacity: 1;
    pointer-events: all;

}